commit:     e852a2e5c494321989ca183b4991f9502e7c8f8b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 17 18:50:45 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Aug 17 18:52:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e852a2e5

dev-db/etcd: Version bump to 3.3.14

Package-Manager: Portage-2.3.71, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 dev-db/etcd/Manifest           |  1 +
 dev-db/etcd/etcd-3.3.14.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index 847d2afb1d8..56264223cd5 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -1,2 +1,3 @@
 DIST etcd-3.3.12.tar.gz 3527586 BLAKE2B 
fdc4e3e9522c032d951045d4eda7f36743d4fbbb4ea8673bbe00bb38931cd7442910b0b54eeb6df0957439332df498389f3568ba7e8bdecfbd873fecfb3df86f
 SHA512 
63ba6130bd93471260b8d90760455bccef2755e672a9df39224491188c69e4e3e8c1157cfb639c4002fb8a6d16950f7ff448a83e0acbc389162b742f3df6234f
 DIST etcd-3.3.13.tar.gz 3372732 BLAKE2B 
241dee0d9843eefc9aaefb35be8f649d242ab1417456cc3028c8eb2ff2af6a7a1c396f04029d87877d384247b8c7a51ec6ea2e0dd51af07ce48ecc91c613c380
 SHA512 
5b8cf9d8d8b0afd1551f414480f04837668729c10d5d81c5e9ffba3392bd2567f3798267c5e4dbe60f49dbdd859f668c6fe0d7924e0fd65f918ab3bd01d5751a
+DIST etcd-3.3.14.tar.gz 6342437 BLAKE2B 
4bcf27829045e2f2f34c7628d6ed854a7ef5e6db02bd794d1135bb901486d8f3c1bf598c230fe7491e9db7273d3e5aa83bf4c941476ad3093423c14f377513b2
 SHA512 
76c8147168030310f0e4fa0c22670fd73369795ab6d98c0632c87b5947acf10af4adae58b46f042a482dc7a002044cfbdfbec962517018e2fdf211c381281dae

diff --git a/dev-db/etcd/etcd-3.3.14.ebuild b/dev-db/etcd/etcd-3.3.14.ebuild
new file mode 100644
index 00000000000..4124cf6b940
--- /dev/null
+++ b/dev-db/etcd/etcd-3.3.14.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/coreos/etcd"
+GIT_COMMIT="5cf5d88"
+MY_PV="${PV/_rc/-rc.}"
+DESCRIPTION="Highly-available key value store for shared configuration and 
service discovery"
+HOMEPAGE="https://github.com/etcd-io/etcd";
+SRC_URI="https://${EGO_PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc +server"
+DEPEND=">=dev-lang/go-1.12:="
+RDEPEND="!dev-db/etcdctl"
+
+src_prepare() {
+       default
+       sed -e "s|GIT_SHA=.*|GIT_SHA=${GIT_COMMIT}|"\
+               -i "${S}"/src/${EGO_PN}/build || die
+       sed -e 's:\(for p in \)shellcheck :\1 :' \
+               -e 's:^                 gofmt \\$:\\:' \
+               -e 's:^                 govet \\$:\\:' \
+               -i "${S}"/src/${EGO_PN}/test || die
+       # missing ... in args forwarded to print-like function
+       sed -e 's:l\.Logger\.Panic(v):l.Logger.Panic(v...):' \
+               -i "${S}"/src/${EGO_PN}/raft/logger.go || die
+}
+
+pkg_setup() {
+       if use server; then
+               enewgroup ${PN}
+               enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+       fi
+}
+
+src_compile() {
+       export -n GOCACHE XDG_CACHE_HOME #651934
+       export GOPATH=${S}
+       pushd src/${EGO_PN} || die
+       GO_BUILD_FLAGS=-v ./build || die
+       popd || die
+}
+
+src_install() {
+       pushd src/${EGO_PN} || die
+       dobin bin/etcdctl
+       use doc && dodoc -r Documentation
+       if use server; then
+               insinto /etc/${PN}
+               doins "${FILESDIR}/${PN}.conf"
+               dobin bin/etcd
+               dodoc README.md
+               systemd_dounit "${FILESDIR}/${PN}.service"
+               systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d.conf" 
${PN}.conf
+               newinitd "${FILESDIR}"/${PN}.initd ${PN}
+               newconfd "${FILESDIR}"/${PN}.confd ${PN}
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+               keepdir /var/lib/${PN}
+               fowners ${PN}:${PN} /var/lib/${PN}
+               fperms 0700 /var/lib/${PN}
+               keepdir /var/log/${PN}
+               fowners ${PN}:${PN} /var/log/${PN}
+               fperms 755 /var/log/${PN}
+       fi
+       popd || die
+}
+
+src_test() {
+       pushd src/${EGO_PN} || die
+       GO111MODULES=on ./test || die
+       popd || die
+}

Reply via email to